Bug 837996 - RFE: Enable email log appender.
RFE: Enable email log appender.
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Maintainability, Security (Show other bugs)
1.6.1
Unspecified Unspecified
unspecified Severity low
: ---
: 1.6.2
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On: 847578
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 00:28 EDT by Carlos Munoz
Modified: 2012-11-29 18:25 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120820-0014)
Doc Type: Bug Fix
Doc Text:
Cause There is currently very difficult visibility into errors and error logs in Zanata production environments. Consequence Diagnosing a production error / bug is slower and cumbersome because the dev team doesn't have immediate access to log files. Change Added an option to configure a set of administrator-level parameters that tell Zanata to email error/warning log entries to specific addresses. Result If configured correctly, the dev team (or any other configured email address) will have instantaneous access to error log entries via email.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 18:25:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-07-06 00:28:54 EDT
Description of problem:
Add the ability to activate and customize an email log appender for Zanata.

Version-Release number of selected component (if applicable):
1.6.1
Comment 1 Carlos Munoz 2012-07-06 00:33:42 EDT
Added entries in the Server Configuration administration page to control how some log messages are communicated via email.
An admin user can enable/disable this feature, can pick the log level to send (Errors or Warnings+ are the only options in this revision), and the email addresses to send them to.
Comment 3 Carlos Munoz 2012-07-08 20:43:37 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
There is currently very difficult visibility into errors and error logs in Zanata production environments.

Consequence
Diagnosing a production error / bug is slower and cumbersome because the dev team doesn't have immediate access to log files.

Change
Added an option to configure a set of administrator-level parameters that tell Zanata to email error/warning log entries to specific addresses.

Result
If configured correctly, the dev team (or any other configured email address) will have instantaneous access to error log entries via email.
Comment 4 Ding-Yi Chen 2012-08-19 23:49:05 EDT
Verified with Zanata version 1.8.0-SNAPSHOT (20120820-0014).

Note You need to log in before you can comment on or make changes to this bug.